Loading...
Searching...
No Matches
Dune::PolyhedralGridIdSet< dim, dimworld, coord_t > Class Template Reference
Inheritance diagram for Dune::PolyhedralGridIdSet< dim, dimworld, coord_t >:

## Public Types

typedef PolyhedralGrid< dim, dimworld, coord_t > | Grid
typedef std::remove_const< Grid >::type::Traits | Traits
typedef std::size_t | IdType
typedef PolyhedralGridIdSet< dim, dimworld, coord_t > | This
typedef IdSet< Grid, This, IdType > | Base

## Public Member Functions

| PolyhedralGridIdSet (const Grid &grid)
template<int codim>
IdType | id (const typename Traits::template Codim< codim >::Entity &entity) const
| id meethod for entity and specific codim
template<class Entity>
IdType | id (const Entity &entity) const
| id method of all entities
template<class IntersectionImpl>
IdType | id (const Dune::Intersection< const Grid, IntersectionImpl > &intersection) const
| id method of all entities
template<class Entity>
IdType | subId (const Entity &entity, int i, unsigned int codim) const
| subId method for entities

## Protected Attributes

const Grid & | grid_
const int * | globalCellPtr_
IdType | codimOffset_ [dim+1]

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/idset.hh